\name{InsertDim}
\alias{InsertDim}
\title{
  Add A Dimension To A Matrix
}
\description{
  Add one dimension to matrix var in position posdim with length lendim and
  which correspond to (lendim x var matrix).
}
\usage{
  InsertDim(var, posdim, lendim)
}
\arguments{
  \item{var}{
    Matrix to be add a dimension to.
  }
  \item{posdim}{
    Position of the new dimension.
  }
  \item{lendim}{
    Length of the new dimension.
  }
}
\value{
  Matrix with the added dimension.
}
\author{
  History:
  1.0  -  2011-03  (V. Guemas, \email{vguemas@ic3.cat})  -  Original code
}
\keyword{datagen}
